body {
    font-family: 'Roboto', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #f5f5f5;
    margin: 0;
    padding: 0;
}

.header {
    width: 100%;
    background-color: #4CAF50;
    padding: 20px 0;
    text-align: center;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
}

.header h1 {
    color: white;
    margin: 0;
    font-size: 36px;
    font-weight: 700;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
}

.toolbar {
    background-color: white;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 20px;
}

#addMeubleBtn {
    background-color: #4CAF50;
    color: white;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s ease, transform 0.3s ease;
}

#addMeubleBtn:hover {
    background-color: #45a049;
    transform: scale(1.05);
}

.hidden {
    display: none;
}

.toolbar-item {
    margin-bottom: 10px;
    cursor: grab;
    text-align: center;
    position: relative;
}

.toolbar-item img {
    width: 100px;
    height: 60px;
    display: block;
    margin: 0 auto;
    border-radius: 5px;
}

.delete-btn {
    position: absolute;
    top: 0;
    right: 0;
    background: red;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 50%;
    padding: 5px;
    font-size: 14px;
}

.option-item {
    cursor: pointer;
    padding: 10px;
    border: 1px solid #ddd;
    margin: 5px 0;
    border-radius: 5px;
    background-color: #fff;
    transition: background-color 0.3s ease;
}

.option-item:hover {
    background-color: #f0f0f0;
}

.content-area {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-grow: 1;
    width: 100%;
}

.room-selection {
    margin-bottom: 20px;
    text-align: center;
}

.room-selection button {
    margin: 5px;
    padding: 10px 20px;
    font-size: 16px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    background-color: #4CAF50;
    color: white;
    transition: background-color 0.3s ease, transform 0.3s ease;
}

.room-selection button:hover {
    background-color: #45a049;
    transform: scale(1.05);
}

.container-wrapper {
    display: flex;
    justify-content: center;
    width: 100%;
}

.container {
    position: relative;
    overflow: hidden;
    background-size: contain;
    background-repeat: no-repeat;
    width: 400px;
    height: 400px;
    border: 1px solid black;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
}

.resize-handle {
    position: absolute;
    bottom: 0;
    right: 0;
    width: 20px;
    height: 20px;
    background: black;
    cursor: se-resize;
}

.dimension-info {
    position: absolute;
    top: 10px;
    left: 10px;
    background: rgba(255, 255, 255, 0.8);
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 3px;
    font-size: 14px;
}

.model-controls {
    display: flex;
    justify-content: center;
    padding: 10px;
    background-color: #f0f0f0;
    border-top: 1px solid #ddd;
}

.model-controls button {
    margin: 0 10px;
    padding: 10px 20px;
    font-size: 16px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    background-color: #4CAF50;
    color: white;
    transition: background-color 0.3s ease, transform 0.3s ease;
}

.model-controls button:hover {
    background-color: #45a049;
    transform: scale(1.05);
}

.meuble {
    width: 100px;
    height: 60px;
    position: absolute;
    cursor: move;
    background-size: cover;
    background-position: center;
    border: 1px solid #000;
    transform-origin: center center;
    border-radius: 5px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}

.rotate-btn {
    position: absolute;
    bottom: 0;
    right: 0;
    background: blue;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 50%;
    padding: 5px;
    font-size: 14px;
    transition: background-color 0.3s ease, transform 0.3s ease;
}

.rotate-btn:hover {
    background-color: #1e90ff;
    transform: scale(1.1);
}

.selected {
    border: 2px solid red;
}

.logout-button {
    position: absolute;
    top: 20px;
    right: 20px;
    padding: 10px 20px;
    background-color: red;
    color: white;
    border: none;
    cursor: pointer;
}